@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply bg-layout-gray-base text-white text-xl leading-normal min-h-screen;
}

a:hover,
a:active
a:focus {
  color: inherit;
}

/* Hubspot Form */
.hs-form input[type="email"] {
  @apply rounded-md mt-2 py-3 px-4 text-white w-full bg-transparent border-2 border-secondary-base;
}

.hs-form input[type="submit"] {
  @apply mt-4 text-white cursor-pointer px-4 py-2;
}

.hs-form .hs-error-msg {
  @apply text-base;
}

.hs-form label {
  @apply font-bold;
}

.hs-form .legal-consent-container {
  @apply text-base mt-2;
}

.submitted-message {
  @apply bg-primary-base rounded-md p-4 text-center;
}

/* COOKIE BANNER */
.react-cookie-law-msg {
  @apply text-layout-gray-base leading-normal text-sm mb-4;
}
.react-cookie-law-manage-btn {
  @apply text-base text-layout-gray-base mr-4;
}
.react-cookie-law-accept-btn {
  @apply bg-primary-base rounded-md py-2 px-4 font-bold text-base;
}

.react-cookie-law-save-btn {
  @apply bg-primary-base rounded-md py-2 px-4 font-bold text-base mr-4;
}

/* With thankfulness to https://css-tricks.com/fluid-width-video/ */
.embedded-video {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  height: 0;
}

.embedded-video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
